Bug 184462 - fresh install of rawhide spews lots of avc: denials during boot up
fresh install of rawhide spews lots of avc: denials during boot up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 17:48 EST by Dave Jones
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-03-08 17:48:57 EST
audit(1141857834.308:2): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="hpet" dev=tmpfs ino=3278 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.308:3): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="mcelog" dev=tmpfs ino=3264 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.308:4): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="kmsg" dev=tmpfs ino=2018 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.308:5): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="kcore" dev=proc ino=4026531861 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:proc_kcore_t:s0 tclass=file
audit(1141857834.308:6): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name=".in_sysinit" dev=tmpfs ino=1126 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1141857834.308:7): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="initctl" dev=tmpfs ino=1081 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:initctl_t:s0 tclass=fifo_file
audit(1141857834.324:8): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="hpet" dev=tmpfs ino=3278 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.324:9): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="mcelog" dev=tmpfs ino=3264 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.328:10): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="kmsg" dev=tmpfs ino=2018 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.328:11): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="kcore" dev=proc ino=4026531861 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:proc_kcore_t:s0 tclass=file
audit(1141857834.328:12): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name=".in_sysinit" dev=tmpfs ino=1126 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=file
audit(1141857834.328:13): avc:  denied  { getattr } for  pid=1414 comm="fsck"
name="initctl" dev=tmpfs ino=1081 scontext=system_u:system_r:fsadm_t:s0
tcontext=system_u:object_r:initctl_t:s0 tclass=fifo_file
audit(1141857834.640:14): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="lp0" dev=tmpfs ino=4303 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.640:15): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="lp0" dev=tmpfs ino=4303 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.640:16): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="sg0" dev=tmpfs ino=3909 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:scsi_generic_device_t:s0 tclass=chr_file
audit(1141857834.640:17): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="agpgart" dev=tmpfs ino=3310 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:agp_device_t:s0 tclass=chr_file
audit(1141857834.640:18): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="hpet" dev=tmpfs ino=3278 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.644:19): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="mcelog" dev=tmpfs ino=3264 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.644:20): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="random" dev=tmpfs ino=2031 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file
audit(1141857834.644:21): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="kmsg" dev=tmpfs ino=2018 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.644:22): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="urandom" dev=tmpfs ino=2014 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
audit(1141857834.644:23): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="ppp" dev=tmpfs ino=1241 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:ppp_device_t:s0 tclass=chr_file
audit(1141857834.644:24): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport3" dev=tmpfs ino=1238 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.644:25): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport2" dev=tmpfs ino=1237 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.644:26): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport1" dev=tmpfs ino=1236 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.644:27): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport0" dev=tmpfs ino=1235 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.644:28): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="kcore" dev=proc ino=4026531861 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:proc_kcore_t:s0 tclass=file
audit(1141857834.644:29): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="initctl" dev=tmpfs ino=1081 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:initctl_t:s0 tclass=fifo_file
audit(1141857834.648:30): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="lp0" dev=tmpfs ino=4303 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:31): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="lp0" dev=tmpfs ino=4303 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:32): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="sg0" dev=tmpfs ino=3909 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:scsi_generic_device_t:s0 tclass=chr_file
audit(1141857834.648:33): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="agpgart" dev=tmpfs ino=3310 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:agp_device_t:s0 tclass=chr_file
audit(1141857834.648:34): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="hpet" dev=tmpfs ino=3278 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.648:35): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="mcelog" dev=tmpfs ino=3264 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.648:36): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="random" dev=tmpfs ino=2031 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file
audit(1141857834.648:37): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="kmsg" dev=tmpfs ino=2018 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1141857834.648:38): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="urandom" dev=tmpfs ino=2014 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
audit(1141857834.648:39): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="ppp" dev=tmpfs ino=1241 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:ppp_device_t:s0 tclass=chr_file
audit(1141857834.648:40): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport3" dev=tmpfs ino=1238 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:41): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport2" dev=tmpfs ino=1237 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:42): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport1" dev=tmpfs ino=1236 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:43): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="parport0" dev=tmpfs ino=1235 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:printer_device_t:s0 tclass=chr_file
audit(1141857834.648:44): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="kcore" dev=proc ino=4026531861 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:proc_kcore_t:s0 tclass=file
audit(1141857834.648:45): avc:  denied  { getattr } for  pid=1429 comm="mount"
name="initctl" dev=tmpfs ino=1081 scontext=system_u:system_r:mount_t:s0
tcontext=system_u:object_r:initctl_t:s0 tclass=fifo_file
Comment 1 Daniel Walsh 2006-03-09 13:40:20 EST
Dontaudited in latest policy.

selinux-policy-2.2.24-12
Comment 2 Daniel Walsh 2006-05-05 11:00:50 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.